from GeometricObject import GeometricObject
import math

# Class Definition
class Circle(GeometricObject): # Circle is a new class and is a subclass of GeometricObject

    # Define  the initializer for class circle
    def __init__(self, radius, color, filled):
        super().__init__(color, filled) # Invoke the initializer of the super class first
        self.__radius = radius

    # Define getter and setter for radius
    def getRadius(self):
        return self.__radius

    def setRadius(self, radius):
        self.__radius = radius

    def getArea(self):
        return self.__radius * self.__radius * math.pi

    def getDiameter(self):
        return 2 * self.__radius

    def getPerimeter(self):
        return 2 * self.__radius * math.pi

    def printCircle(self):
        print(self.__str__() + "radius: " + str(self.__radius))

    # Overriding the __str__() function
    def __str__(self):
        return super().__str__() + " radius: " + str(self.__radius)