from GeometricObject import GeometricObject

# Class Definition
class Rectangle(GeometricObject): # Rectangle is a subclass of Geometric Object

    # Define the initializer
    def __init__(self, color, filled, width = 1, height = 1):
        super().__init__(color, filled) # Invoke superclass init method
        self.__width = width
        self.__height = height

    # Define setters and getters
    def getWidth(self):
        return self.__width

    def setWidth(self, width):
        self.__width = width

    def getHeight(self):
        return self.__height

    def setHeight(self,height):
        self.__height = height

    # Define Area and Perimeter methods
    def getArea(self):
        return self.__height * self.__width

    def getPerimeter(self):
        return 2 * (self.__width + self.__height)

    def printRectangle(self):
        print(self.__str__() + "are the super properties of the rectangle")
        print("Height is: ", self.__height)
        print("Width is: ", self.__width)

    # Overriding __str__() funciton here
    def __str__(self):
        return super().__str__() + " width: " + str(self.__width ) + " height: " + str(self.__height)