from GeometricObject import GeometricObject
import math

class Triangle(GeometricObject):

    def __init__(self, color, filled, side1 = 1, side2 = 1, side3 = 1):
        super().__init__(color, filled)
        self.__side1 = side1
        self.__side2 = side2
        self.__side3 = side3

    def getSide1(self):
        return self.__side1

    def getSide2(self):
        return self.__side2

    def getSide3(self):
        return self.__side3

    def getArea(self):
        s = (self.__side1 + self.__side2 + self.__side3) / 2
        return math.sqrt(s * (s - self.__side1) * (s - self.__side2) * (s - self.__side3))

    def getPerimeter(self):
        return self.__side1 + self.__side2 + self.__side3

    def __str__(self):
        return super().__str__() + "\n" + "Area: " + str(self.getArea()) + "\n" + "Perimeter: " + str(self.getPerimeter())