class Stack:

# Defining the initializer
    def __init__(self):
        # Elements is an empty list at first to store the elements to be added to the stack
        # Elements is a property of the stack
        self.elements = []

    # isEmpty() definition
    # Returns True is the stack is empty
    def isEmpty(self):
        # Determine the number of elements saved in the list
        numberofElements = len(self.elements)
        # Check whether numberofElements = 0
        if numberofElements == 0:
            return True
        else:
            return False

    # peek() definition
    # Returns the element on the top of the stack without removing it from the stack
    def peek(self):
        if self.isEmpty():
            return None
        else:
            # Returning the last element added to the list
            # For a list of 3 elements they are indexed as: 0, 1, 2
            # This means the index of the last element is 2 = )size of list (3) - 1)
            return self.elements[len(self.elements) - 1]

    # push() definition
    # Adds value to the top of the stack (adds value to the elements list)
    def push(self, value):
        self.elements.append(value)

    # pop() definition
    # Returns the element from the top of the stack
    def pop(self):
        if self.isEmpty():
            return None
        else:
            return self.elements.pop()

    # getSize() definition
    # Returns the size of the stack
    def getSize(self):
        return len(self.elements)

    # StringReverse() definition
    # Takes a string as a parameter and returns that String reversed
    def StringReverse(self, mystring):
        s = Stack()
        mystring = mystring.split()

        for i in mystring:
            s.push(i)

        size = s.getSize()
        mystring = ""

        for i in range(size):
            mystring = mystring + s.pop() + " "

        return mystring

def main():
    myStringStack = Stack()
    myString = input("Enter the String you need to Reverse:")
    print("Reversed: ", myStringStack.StringReverse(myString))

main()